Subject: [nemo] NEMO Management Information Base - draft-ietf-nemo-mib-00.txt

From: Sri Gundavelli <[email-masked]>
Date: Sun, 17 Oct 2004 23:18:02 -0700

Please review the attached NEMO MIB draft. This is a working group 
document. Please send your comments on the draft to the mailing
list.

Abstract:
This memo defines a portion of the Management Information Base (MIB),
the network mobility support (NEMO) MIB , for use with network
management protocols in the Internet community. In particular, the NEMO
MIB will be used to monitor and control a mobile IPv6 node with NEMO
Basic Support functionality.

Authors:
    Sri Gundavelli
    Cisco Systems

    Glenn Mansfield Keeni
    Cyber Solutions

    Kenichi Nagami
    INTEC NetCore

    Kazuhide Koide
    Tohoku University

Regards !
Sri

Thierry Ernst wrote:
  > Dear all,
  >
  > I've sent a mail to internet-draft to approve it as a NEMO WG
  > document.

NEMO Working Group                                  Sri Gundavelli
INTERNET-DRAFT                                       Cisco Systems
Expires: April 15, 2005                             Glenn M. Keeni
                                                   Cyber Solutions
                                                    Kazuhide Koide
                                                 Tohoku University
                                                    Kenichi Nagami
                                                     INTEC NetCore

                                                  October 16, 2004

                    NEMO Management Information Base
                      <draft-ietf-nemo-mib-00.txt>

Status of this Memo

   By submitting this Internet-Draft, we certify that any applicable
   patent or other IPR claims of which we are aware have been disclosed,
   or will be disclosed, and any of which we become aware will be
   disclosed, in accordance with RFC 3668.

   Internet-Drafts are working documents of the Internet Engineering
   Task Force (IETF), its areas, and its working groups. Note that other
   groups may also distribute working documents as Internet-Drafts.

   Internet-Drafts are draft documents valid for a maximum of six months
   and may be updated, replaced, or obsoleted by other documents at any
   time.  It is inappropriate to use Internet-Drafts as reference
   material or to cite them other than a "work in progress."

   The list of current Internet-Drafts can be accessed at
   http://www.ietf.org/1id-abstracts.html

   The list of Internet-Draft Shadow Directories can be accessed at
   http://www.ietf.org/shadow.html"

   This document is a product of the mip6 Working Group. Comments should
   be addressed to the authors or the mailing list at [email-masked]

   This Internet-Draft will expire on April 15, 2005.

Copyright Notice

   Copyright (C) The Internet Society (2004).  All Rights Reserved.

Expires: April 15, 2005                                         [Page 1]


Internet Draft                                          October 16, 2004

Abstract

   This memo defines a portion of the Management Information Base (MIB),
   the network mobility support (NEMO) MIB , for use with network management
   protocols in the Internet community. In particular, the NEMO MIB will be
   used to monitor and control a mobile IPv6 node with NEMO Basic Support
   functionality.

Table of Contents

   1.  The Internet-Standard Management Framework .................... 3
   2.  Overview ...................................................... 3
   3.  MIB Design .................................................... 4
   4.  The NEMO MIB .................................................. 5
   5.  Security Considerations .......................................29
   6.  IANA Considerations ...........................................29
   7.  Acknowledgments ...............................................29
   8.  References ....................................................30
   9.  Authors' Addresses ............................................32
   10. Full Copyright Statement ......................................33

Expires: April 15, 2005                                         [Page 2]


Internet Draft                                          October 16, 2004

1. The Internet-Standard Management Framework

   For a detailed overview of the documents that describe the current
   Internet-Standard Management Framework, please refer to section 7 of
   RFC 3410 [RFC3410].

   Managed objects are accessed via a virtual information store, termed
   the Management Information Base or MIB.  MIB objects are generally
   accessed through the Simple Network Management Protocol (SNMP).

   Objects in the MIB are defined using the mechanisms defined in the
   Structure of Management Information (SMI).  This memo specifies a MIB
   module that is compliant to the SMIv2, which is described in STD 58,
   RFC 2578 [RFC2578], STD 58, RFC 2579 [RFC2579] and STD 58, RFC 2580
   [RFC2580].

2.  Overview

2.1 The Mobile IPv6 Protocol and NEMO entities.

   Mobile IPv6 (MIPv6) [RFC3775] specifies a protocol which allows nodes
   to remain reachable while moving around in the IPv6 Internet. Network
   Mobility Basic Support (NEMO) [NEMOBASIC] is an extension to the
   Mobile IPv6 protocol which facilitates the movement of an entire
   network. The goals of Network Mobility support and related
   terminology are discussed in [NEMOGOAL] and [NEMOTERM], respectively.

   Typically mobile routers implement NEMO functionality for achieving
   network mobility. However, a mobile router may also function as a
   mobile node. In the context of this document, an entity that
   implements the NEMO protocol is a NEMO entity.

   This document defines a set of managed objects (MOs) that can be used
   to monitor and control entities that support NEMO function.

2.2 Implementation Guidance

   This document focuses on the management of a NEMO entity. The
   MIPv6MIB [10] defines the managed objects for a mobile node.
   Implementations supporting both the mobile node and NEMO
   functionality SHOULD implement the managed objects defined for the
   NEMO entities and mobile nodes from both the MIPv6MIB and NEMOMIB.

2.3 Terminology.

Expires: April 15, 2005                                         [Page 3]


Internet Draft                                          October 16, 2004

   The terminology used in this document is consistent with the
   definitions used in the Mobile IPv6 protocol specification[RFC3775]
   and the NEMO Basic Support specification [NEMO].

   The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT",
   "SHOULD", "SHOULD NOT", "RECOMMENDED", "NOT RECOMMENDED", "MAY", and
   "OPTIONAL" in this document are to be interpreted as described in
   BCP 14, RFC 2119 [RFC2119].

3.  MIB Design

   The NEMO MIB comprises of the following primary groups:

      - nemoSystem
      - nemoConfiguration
      - nemoStats
      - nemoNotifications
      - nemoConformance

   The nemoSystem group provides the general information of the NEMO
   entity. The objects in this group cover the current home registration
   state.

   The nemoConfiguration group contains information relevant to the
   implementation and operation of the NEMO protocol.

   The nemoStats group defines the statistics related to the NEMO
   protocol operations.

   The nemoNotifications group defines the notifications generated by
   the NEMO entity in response to the operationally interesting state
   chanages in the NEMO protocol.

   The nemoConformance group identifies the managed objects that needs
   to be implemented for conforming to this draft.

Expires: April 15, 2005                                         [Page 4]


Internet Draft                                          October 16, 2004

4.  The NEMO MIB

     NEMO-MIB DEFINITIONS ::= BEGIN
      IMPORTS
        MODULE-IDENTITY,  mib-2, Unsigned32, Counter32,
        Gauge32, Counter64,
        OBJECT-TYPE, NOTIFICATION-TYPE
                   FROM SNMPv2-SMI
        TEXTUAL-CONVENTION,
        TruthValue, DateAndTime
                   FROM SNMPv2-TC
        SnmpAdminString
                   FROM SNMP-FRAMEWORK-MIB
        MODULE-COMPLIANCE, OBJECT-GROUP, NOTIFICATION-GROUP
                   FROM SNMPv2-CONF
        InetAddressType, InetAddress, InetAddressPrefixLength
                   FROM INET-ADDRESS-MIB
        InterfaceIndex
                   FROM IF-MIB
     -- mip6Mn
     --            FROM MOBILEIPV6-MIB
        ;

     nemoMIB MODULE-IDENTITY
         LAST-UPDATED "200410070000Z"        --  7th October, 2004
         ORGANIZATION "IETF NEMO Working Group"
         CONTACT-INFO
                 "             Sri Gundavelli
                       Postal: Cisco Systems
                               170 W.Tasman Drive,
                               San Jose, CA 95134
                               USA

                          Tel: +1-408-527-6109
                        Email: [email-masked]

                               Glenn Mansfield Keeni
                       Postal: Cyber Solutions Inc.
                               6-6-3, Minami Yoshinari
                               Aoba-ku, Sendai, Japan 989-3204.
                          Tel: +81-22-303-4012
                          Fax: +81-22-303-4015
                       E-mail: [email-masked]

Expires: April 15, 2005                                         [Page 5]


Internet Draft                                          October 16, 2004

                               Kenichi Nagami
                       Postal: INTEC NetCore Inc.
                               1-3-3, Shin-suna
                               Koto-ku, Tokyo, 135-0075
                               Japan

                          Tel: +81-3-5665-5069
                       E-mail: [email-masked]

                               Kazuhide Koide
                       Postal: Tohoku University
                               Katahira Campus
                               Sendai
                               Japan

                          Tel: +81-22-217-5454
                       E-mail: [email-masked]

            Support Group E-mail: [email-masked]"

            DESCRIPTION
                    "The MIB module for monitoring NEMO entity.

                     Copyright (C) The Internet Society 2004.  This
                     version of this MIB module is part of RFC XXXX;
                     see the RFC itself for full legal notices.
                    "
      -- RFC Ed.: replace XXXX with actual RFC number & remove this note

             REVISION    "200410160000Z"      -- 16th October 2004
             DESCRIPTION "Initial version, published as RFC XXXX."

      -- RFC Ed.: replace XXXX with actual RFC number & remove this note

                  ::= { mib-2  XXX } -- will be assigned by IANA

      -- IANA Reg.: Please assign a value for "XXX" under the 'mip6Mn'
      -- subtree and record the assignment in the SMI Numbers registry.

      -- RFC Ed.: When the above assignment has been made, please
      --     remove the above note
      --     replace "XXX" here with the assigned value and
      --     remove this note.

Expires: April 15, 2005                                         [Page 6]


Internet Draft                                          October 16, 2004

      -- The NEMO MIB has the following 5 primary groups

      nemoNotifications        OBJECT IDENTIFIER ::= { nemoMIB 0 }
      nemoSystem               OBJECT IDENTIFIER ::= { nemoMIB 1 }
      nemoConfiguration        OBJECT IDENTIFIER ::= { nemoMIB 2 }
      nemoStats                OBJECT IDENTIFIER ::= { nemoMIB 3 }
      nemoConformance          OBJECT IDENTIFIER ::= { nemoMIB 4 }

      -- The nemoConfiguration group has the following sub groups

      nemoRegistration       OBJECT IDENTIFIER ::= { nemoConfiguration 1 }
    --nemoNetworksTable      OBJECT IDENTIFIER ::= { nemoConfiguration 2 }
    --nemoRoamingIfTable     OBJECT IDENTIFIER ::= { nemoConfiguration 3 }

      -- The nemoStats group has the following sub groups

      nemoHomeAgentDiscovery OBJECT IDENTIFIER ::= { nemoStats 1 }
      nemoTotalTraffic       OBJECT IDENTIFIER ::= { nemoStats 2 }
      nemoBindingRegCounters OBJECT IDENTIFIER ::= { nemoStats 3 }
      nemoRoamingCounters    OBJECT IDENTIFIER ::= { nemoStats 4 }

      -- Textual Conventions
      NemoStatus ::= TEXTUAL-CONVENTION
          STATUS        current
          DESCRIPTION
                  "This object represents the state of the NEMO entity. The
                   entity could be at home, isolated, roaming or in unknown
                   state.
                  "
          SYNTAX  INTEGER {
                           isolated (1),
                           roaming  (2),
                           home     (3),
                           unknown  (4)
                          }

      --
      --
      -- nemoSystem group
      --
      --

Expires: April 15, 2005                                         [Page 7]


Internet Draft                                          October 16, 2004

     nemoRoamingStatus OBJECT-TYPE
          SYNTAX      NemoStatus
          MAX-ACCESS  read-only
          STATUS      current
          DESCRIPTION
                  "Indicates the current status of the NEMO entity. The
                   status indicates if the NEMO entity is at home, roaming
                   isolated or in unknown state.
                  "
          ::= { nemoSystem 1 }

     nemoRegisteredUpTime OBJECT-TYPE
          SYNTAX      Gauge32
          UNITS       "seconds"
          MAX-ACCESS  read-only
          STATUS      current
          DESCRIPTION
                  "The time (in seconds) for which the NEMO entity
                   up and registered with its home agent.
                  "
              ::= { nemoSystem 2 }

     nemoLastAcceptedRegTime OBJECT-TYPE
          SYNTAX      DateAndTime
          MAX-ACCESS  read-only
          STATUS      current
          DESCRIPTION
                  "The timestamp when the last registration was accepted
                   with its home agent.
                  "
              ::= { nemoSystem 3 }

     nemoLastRejectedRegTime OBJECT-TYPE
          SYNTAX      DateAndTime
          MAX-ACCESS  read-only
          STATUS      current
          DESCRIPTION
                  "The timestamp when the last registration was rejected
                   with its home agent.
                  "
              ::= { nemoSystem 4 }

     nemoRegHomeAgentAddressType OBJECT-TYPE
          SYNTAX      InetAddressType
          MAX-ACCESS  read-only
          STATUS      current
          DESCRIPTION

Expires: April 15, 2005                                         [Page 8]


Internet Draft                                          October 16, 2004

                  "The address type of the nemoRegHomeAgentAddress that
                   follows.
                  "
              ::= { nemoSystem 5 }

     nemoRegHomeAgentAddress OBJECT-TYPE
          SYNTAX      InetAddress
          MAX-ACCESS  read-only
          STATUS      current
          DESCRIPTION
                  "The home address of the mobile router which is used
                   in the last accepted registration.
                  "
              ::= { nemoSystem 6 }

     nemoRegHomeNetworkAddressType  OBJECT-TYPE
          SYNTAX      InetAddressType
          MAX-ACCESS  read-only
          STATUS      current
          DESCRIPTION
                  "The address type of the nemoRegHomeNetworkAddress that
                   follows.
                  "
              ::= { nemoSystem 7 }

     nemoRegHomeNetworkAddress  OBJECT-TYPE
          SYNTAX      InetAddress
          MAX-ACCESS  read-only
          STATUS      current
          DESCRIPTION
                  "The prefix of the home network for which the mobile
                   router is registered at last.
                  "
              ::= { nemoSystem 8 }

     nemoRegHomeNetworkPrefixLength  OBJECT-TYPE
          SYNTAX      InetAddressPrefixLength
          MAX-ACCESS  read-only
          STATUS      current
          DESCRIPTION
                  "The prefix length of the home network for which the
                   mobile router is registered at last.
                  "
              ::= { nemoSystem 9 }

     nemoRegCareofAddressType OBJECT-TYPE
          SYNTAX      InetAddress
          MAX-ACCESS  read-only

Expires: April 15, 2005                                         [Page 9]


Internet Draft                                          October 16, 2004

          STATUS      current
          DESCRIPTION
                  "The care-of address of the mobile router which is
                   used in the last accepted registration.
                  "
              ::= { nemoSystem 10 }

     nemoRegCareofAddress OBJECT-TYPE
          SYNTAX      InetAddress
          MAX-ACCESS  read-only
          STATUS      current
          DESCRIPTION
                  "The care-of address of the mobile router which is
                   used in the last accepted registration.
                  "
              ::= { nemoSystem 11 }

     nemoActiveRoamingIfIndex OBJECT-TYPE
          SYNTAX      InterfaceIndex
          MAX-ACCESS  read-only
          STATUS      current
          DESCRIPTION
                  "The ifIndex of the current active roaming
                   interface.
                  "
              ::= { nemoSystem 12 }

     nemoEstablishedHomeTunnelIfIndex  OBJECT-TYPE
          SYNTAX      InterfaceIndex
          MAX-ACCESS  read-only
          STATUS      current
          DESCRIPTION
                  "The ifIndex of the tunnel interface in the
                   mobile router which is established between the
                   mobile router and the home agent for NEMO traffic.
                  "
              ::= { nemoSystem 13 }

     --
     --
     --   nemoConfiguration group
     --
     --

     --
     -- nemoRegistration sub group

Expires: April 15, 2005                                        [Page 10]


Internet Draft                                          October 16, 2004

     --

     nemoHomeRegLifeTime   OBJECT-TYPE
          SYNTAX      Gauge32 (4..262143)
          MAX-ACCESS  read-write
          STATUS      current
          DESCRIPTION
                  "The lifetime requested by the mobile router (in
                   seconds) in the Binding registration. It is between
                   4 and 262143 secs.
                  "
     ::= { nemoRegistration 1 }

     nemoHomeRegRetryCount  OBJECT-TYPE
          SYNTAX      Counter32
          MAX-ACCESS  read-write
          STATUS      current
          DESCRIPTION
                  "The maximum number of registration attempts
                   allowed for the mobile router.
                  "
     ::= { nemoRegistration 2 }

     nemoHomeRegRetryDelay   OBJECT-TYPE
          SYNTAX      Gauge32
          MAX-ACCESS  read-write
          STATUS      current
          DESCRIPTION
                  "The delay time between successive registration
                   attempts by the mobile router(in seconds).
                  "
     ::= { nemoRegistration 3 }

     nemoHomeRegExtendBeforeExpiry  OBJECT-TYPE
          SYNTAX      Gauge32
          MAX-ACCESS  read-write
          STATUS      current
          DESCRIPTION
                  "The time before the registration extension is
                   attempted (in seconds) by the mobile router.
                  "
     ::= { nemoRegistration 4 }

     nemoDynamicHAAddressDiscovery  OBJECT-TYPE
          SYNTAX      TruthValue
          MAX-ACCESS  read-write
          STATUS      current
          DESCRIPTION

Expires: April 15, 2005                                        [Page 11]


Internet Draft                                          October 16, 2004

                  "This object indicates whether or not the mobile
                   router should attempt to make dynamic home agent
                   address discovery(DHAAD).
                  "
     ::= { nemoRegistration 5 }

     nemoHomeNetworkPrefixType  OBJECT-TYPE
          SYNTAX      InetAddressType
          MAX-ACCESS  read-write
          STATUS      current
          DESCRIPTION
                  "The InetAddressType of the nemoHomeNetworkPrefix
                   that follows.
                  "
     ::= { nemoRegistration 6 }

     nemoHomeNetworkPrefix   OBJECT-TYPE
          SYNTAX      InetAddress
          MAX-ACCESS  read-write
          STATUS      current
          DESCRIPTION
                  "The prefix of the home network which is configured
                   for the mobile router.
                  "
     ::= { nemoRegistration 7 }

     nemoHomeNetworkPrefixLength   OBJECT-TYPE
          SYNTAX      InetAddressPrefixLength
          MAX-ACCESS  read-write
          STATUS      current
          DESCRIPTION
                  "The length of the home network prefix which
                   is configured for the mobile router.
                  "
     ::= { nemoRegistration 8 }

     nemoHomeAddressType  OBJECT-TYPE
          SYNTAX      InetAddressType
          MAX-ACCESS  read-write
          STATUS      current
          DESCRIPTION
                  "The InetAddressType  of the nemoHomeAddress
                   that follows.
                  "
     ::= { nemoRegistration 9 }

     nemoHomeAddress   OBJECT-TYPE
          SYNTAX      InetAddress

Expires: April 15, 2005                                        [Page 12]


Internet Draft                                          October 16, 2004

          MAX-ACCESS  read-write
          STATUS      current
          DESCRIPTION
                  "The unicast routable address assigned to the mobile
                   router. This is used as the 'permanent address' of
                   the mobile router in the sense that it remains
                   unchanged regardless of the mobile router's current
                   point ofattachment.
                   The type of the address represented by this object
                   is specified by the corresponding nemoHomeAddressType
                   object.
                  "
     ::= { nemoRegistration 10 }

     nemoPrefixRegMode  OBJECT-TYPE
          SYNTAX      BITS {
                            implicitMode       (0),
                            explicitMode       (1)
                           }
          MAX-ACCESS  read-write
          STATUS      current
          DESCRIPTION
                  "Two modes to instruct the Home Agent to determine
                   the prefixes that belong to the mobile router.
                  "
     ::= { nemoRegistration 11 }

     nemoRegisterConnectedPrefixes  OBJECT-TYPE
          SYNTAX      TruthValue
          MAX-ACCESS  read-write
          STATUS      current
          DESCRIPTION
                  "This object indicates whether the mobile router will
                   register all connected prefixes or not.
                  "
     ::= { nemoRegistration 12 }

     --
     -- nemoPrefixTable
     --

     nemoPrefixTable   OBJECT-TYPE
          SYNTAX      SEQUENCE OF NemoPrefixEntry
          MAX-ACCESS  not-accessible
          STATUS      current
          DESCRIPTION
                  "A table representing the NEMO prefixes.
                  "

Expires: April 15, 2005                                        [Page 13]


Internet Draft                                          October 16, 2004

     ::= { nemoConfiguration 2 }

     nemoPrefixEntry OBJECT-TYPE
          SYNTAX      NemoPrefixEntry
          MAX-ACCESS  not-accessible
          STATUS      current
          DESCRIPTION
                  "An entry in the binding cache table. It represents a
                   single Binding Update.
                  "
          INDEX  { nemoPrefixType, nemoPrefix, nemoPrefixLength }
     ::= { nemoPrefixTable 1 }

     NemoPrefixEntry ::=
          SEQUENCE {
           nemoPrefixType          InetAddressType,
           nemoPrefix              InetAddress,
           nemoPrefixLength        InetAddressPrefixLength,
           nemoPrefixLifeTime      Gauge32
         }

     nemoPrefixType  OBJECT-TYPE
          SYNTAX      InetAddressType
          MAX-ACCESS  not-accessible
          STATUS      current
          DESCRIPTION
                  "The InetAddressType  of the nemoPrefix
                   that follows.
                  "
     ::= { nemoPrefixEntry 1 }

     nemoPrefix   OBJECT-TYPE
          SYNTAX      InetAddress
          MAX-ACCESS  not-accessible
          STATUS      current
          DESCRIPTION
                  "The mobile network prefix that is delegated to the
                   mobile router and advertised in the mobile network.
                   The type of the address represented by this object
                   is specified by the corresponding
                   nemoPrefixType object.
                  "
     ::= { nemoPrefixEntry 2 }

Expires: April 15, 2005                                        [Page 14]


Internet Draft                                          October 16, 2004

     nemoPrefixLength   OBJECT-TYPE
          SYNTAX      InetAddressPrefixLength
          MAX-ACCESS  not-accessible
          STATUS      current
          DESCRIPTION
                  "The prefix length of the mobile network prefix.
                  "
     ::= { nemoPrefixEntry 3 }

     nemoPrefixLifeTime   OBJECT-TYPE
          SYNTAX      Gauge32
          UNITS       "seconds"
          MAX-ACCESS  read-only
          STATUS      current
          DESCRIPTION
                  "The lifetime (in seconds) granted to the mobile
                   router for this registration.
                  "
     ::= { nemoPrefixEntry 4 }

     --
     -- nemoRoamingIfTable
     --

     nemoRoamingIfTable        OBJECT-TYPE
          SYNTAX      SEQUENCE OF NemoRoamingIfEntry
          MAX-ACCESS  not-accessible
          STATUS      current
          DESCRIPTION
                  "A table representing the roaming interfaces.
                   Each entry represents a configured roaming interface
                   with the roaming characterstics.
                  "
     ::= { nemoConfiguration 3 }

     nemoRoamingIfEntry OBJECT-TYPE
          SYNTAX      NemoRoamingIfEntry
          MAX-ACCESS  not-accessible
          STATUS      current
          DESCRIPTION
                  "An entry in the roaming interface table. It
                   represents a single roaming interface entry.
                  "
          INDEX  { nemoRoamingIfIndex, nemoRoamingIfPriority }
     ::= { nemoRoamingIfTable 1 }

Expires: April 15, 2005                                        [Page 15]


Internet Draft                                          October 16, 2004

     NemoRoamingIfEntry ::=
          SEQUENCE {
           nemoRoamingIfIndex             InterfaceIndex,
           nemoRoamingIfDescription       SnmpAdminString,
           nemoRoamingIfPriority          Unsigned32,
           nemoRoamingIfRoamHoldDownTime  Gauge32
         }

     nemoRoamingIfIndex  OBJECT-TYPE
          SYNTAX      InterfaceIndex
          MAX-ACCESS  not-accessible
          STATUS      current
          DESCRIPTION
                  "The index of the interface that will be used for
                   roaming to foreign networks in the mobile router.
                  "
              ::= { nemoRoamingIfEntry 1 }

     nemoRoamingIfPriority   OBJECT-TYPE
          SYNTAX      Unsigned32
          MAX-ACCESS  not-accessible
          STATUS      current
          DESCRIPTION
                  "The priority configured to the interface.
                   This value will be configured between 0 and 255.
                  "
              ::= { nemoRoamingIfEntry 2 }

     nemoRoamingIfDescription   OBJECT-TYPE
          SYNTAX      SnmpAdminString
          MAX-ACCESS  read-only
          STATUS      current
          DESCRIPTION
                  "The description of the interface that will be used
                   for roaming to foreign networks in the mobile router.
                  "
              ::= { nemoRoamingIfEntry 3 }

     nemoRoamingIfRoamHoldDownTime  OBJECT-TYPE
          SYNTAX      Gauge32
          UNITS       "seconds"
          MAX-ACCESS  read-only
          STATUS      current
          DESCRIPTION
                  "This object indicates the time for which hold on to
                   the interface.
                   This value is configured to avoid interface flapping.

Expires: April 15, 2005                                        [Page 16]


Internet Draft                                          October 16, 2004

                  "
              ::= { nemoRoamingIfEntry 4 }

     ---
     ---
     --- nemoStats group
     ---
     ---

     --
     -- Dynamic Home Agent discovery protocol related counters
     --

      nemoDHAADRequests   OBJECT-TYPE
          SYNTAX      Counter32
          MAX-ACCESS  read-only
          STATUS      current
          DESCRIPTION
                  "The total number of dynamic home agent address
                   discovery requests sent by the mobile router.
                  "
              ::= { nemoHomeAgentDiscovery 1 }

      nemoDHAADRepliesWNemoSupport   OBJECT-TYPE
          SYNTAX      Counter32
          MAX-ACCESS  read-only
          STATUS      current
          DESCRIPTION
                  "The total number of dynamic home agent address
                   discovery replies sent by the home agent with NEMO
                   support.
                  "
              ::= { nemoHomeAgentDiscovery 2 }

      nemoDHAADRepliesWONemoSupport  OBJECT-TYPE
          SYNTAX      Counter32
          MAX-ACCESS  read-only
          STATUS      current
          DESCRIPTION
                  "The total number of dynamic home agent address
                   discovery replies sent by the home agent without
                   NEMO support.
                  "
              ::= { nemoHomeAgentDiscovery 3 }

Expires: April 15, 2005                                        [Page 17]


Internet Draft                                          October 16, 2004

      nemoDHAADDiscoveryTimeouts  OBJECT-TYPE
          SYNTAX      Counter32
          MAX-ACCESS  read-only
          STATUS      current
          DESCRIPTION
                  "The total number of dynamic home agent address
                   discovery requested by the mobile router and that
                   was timeout.
                  "
              ::= { nemoHomeAgentDiscovery 4 }

      --
      -- nemoStats:nemoTotalTraffic
      --

      nemoInOctets  OBJECT-TYPE
          SYNTAX      Counter32
          MAX-ACCESS  read-only
          STATUS      current
          DESCRIPTION
                  "The total number of octets in the IPv6 datagrams
                   received by the nodes in the NEMO networks.

                   Discontinuities in the value of this counter can
                   occur at re-initialization of the mobile router.
                  "
              ::= { nemoTotalTraffic 1 }

      nemoHCInOctets  OBJECT-TYPE
          SYNTAX      Counter64
          MAX-ACCESS  read-only
          STATUS      current
          DESCRIPTION
                  "The total number of octets in the IPv6 datagrams
                   received by the NEMO networks.

                   This object is a 64-bit version of nemoInOctets.
                   Discontinuities in the value of this counter can
                   occur at re-initialization of the mobile router.
                  "
              ::= { nemoTotalTraffic 2 }

      nemoInPackets  OBJECT-TYPE
          SYNTAX      Counter32
          MAX-ACCESS  read-only
          STATUS      current
          DESCRIPTION
                  "The total number of octets in the IPv6 datagrams

Expires: April 15, 2005                                        [Page 18]


Internet Draft                                          October 16, 2004

                   received by the nodes in the NEMO networks.

                   Discontinuities in the value of this counter can
                   occur at re-initialization of the mobile router.
                  "
              ::= { nemoTotalTraffic 3 }

      nemoHCInPackets  OBJECT-TYPE
          SYNTAX      Counter64
          MAX-ACCESS  read-only
          STATUS      current
          DESCRIPTION
                  "The total number of IPv6 packets received by
                   the nodes in the NEMO networks.

                   This object is a 64-bit version of nemoInOctets.
                   Discontinuities in the value of this counter can
                   occur at re-initialization of the mobile router.
                  "
              ::= { nemoTotalTraffic 4 }

      nemoOutOctets  OBJECT-TYPE
          SYNTAX      Counter32
          MAX-ACCESS  read-only
          STATUS      current
          DESCRIPTION
                  "The total number of octets in the IPv6 datagrams
                   sent by the nodes in the NEMO networks.

                   Discontinuities in the value of this counter can
                   occur at re-initialization of the mobile router.
                  "
              ::= { nemoTotalTraffic 5 }

      nemoHCOutOctets  OBJECT-TYPE
          SYNTAX      Counter64
          MAX-ACCESS  read-only
          STATUS      current
          DESCRIPTION
                  "The total number of octets in the IPv6 datagrams
                   sent by the NEMO networks.

                   This object is a 64-bit version of nemoInOctets.
                   Discontinuities in the value of this counter can
                   occur at re-initialization of the mobile router.
                  "
              ::= { nemoTotalTraffic 6 }

Expires: April 15, 2005                                        [Page 19]


Internet Draft                                          October 16, 2004

      nemoOutPackets  OBJECT-TYPE
          SYNTAX      Counter32
          MAX-ACCESS  read-only
          STATUS      current
          DESCRIPTION
                  "The total number of octets in the IPv6 datagrams
                   sent by the nodes in the NEMO networks.

                   Discontinuities in the value of this counter can
                   occur at re-initialization of the mobile router.
                  "
              ::= { nemoTotalTraffic 7 }

      nemoHCOutPackets  OBJECT-TYPE
          SYNTAX      Counter64
          MAX-ACCESS  read-only
          STATUS      current
          DESCRIPTION
                  "The total number of IPv6 packets sent by the nodes
                   in the NEMO networks.

                   This object is a 64-bit version of nemoInOctets.
                   Discontinuities in the value of this counter can
                   occur at re-initialization of the mobile router.
                  "
              ::= { nemoTotalTraffic 8 }

      --
      -- nemoStats:nemoBindingRegcounters
      --

     nemoBindingUpdates  OBJECT-TYPE
          SYNTAX      Counter32
          MAX-ACCESS  read-only
          STATUS      current
          DESCRIPTION
                  "The total number of Binding Updates sent by the
                   mobile router.

                   Discontinuities in the value of this counter can
                   occur at re-initialization of the mobile router.
                  "
              ::= { nemoBindingRegCounters 1 }

     nemoBindingAcks  OBJECT-TYPE
          SYNTAX      Counter32
          MAX-ACCESS  read-only
          STATUS      current

Expires: April 15, 2005                                        [Page 20]


Internet Draft                                          October 16, 2004

          DESCRIPTION
                  "The total number of Binding Acknowledgements
                   received by the mobile router.

                   Discontinuities in the value of this counter can
                   occur at re-initialization of the mobile router.
                  "
              ::= { nemoBindingRegCounters 2 }

     nemoBindingAcksWONemoSupport  OBJECT-TYPE
          SYNTAX      Counter32
          MAX-ACCESS  read-only
          STATUS      current
          DESCRIPTION
                  "The total number of Binding Acks without the
                   NEMO support received by the mobile router.

                   Discontinuities in the value of this counter can
                   occur at re-initialization of the mobile router.
                  "
              ::= { nemoBindingRegCounters 3 }

     nemoBindingAckNotHomeRegn OBJECT-TYPE
          SYNTAX      Counter32
          MAX-ACCESS  read-only
          STATUS      current
          DESCRIPTION
                  "The total number of Binding Update requests
                   rejected by the home agent with the status code
                   in the Binding Acknowledgment indicating
                   'Not Home Registration'

                   Discontinuities in the value of this counter can
                   occur at re-initialization of the mobile router.
                  "
              ::= { nemoBindingRegCounters 4 }

     nemoBindingRegTypeChanged  OBJECT-TYPE
          SYNTAX      Counter32
          MAX-ACCESS  read-only
          STATUS      current
          DESCRIPTION
                  "Discontinuities in the value of this counter can
                   occur at re-initialization of the mobile router.
                  "
              ::= { nemoBindingRegCounters 5 }

Expires: April 15, 2005                                        [Page 21]


Internet Draft                                          October 16, 2004

     nemoOpNotSupported  OBJECT-TYPE
          SYNTAX      Counter32
          MAX-ACCESS  read-only
          STATUS      current
          DESCRIPTION
                  "The total number of Binding Update requests rejected
                   by the home agent with status code in the
                   Binding Acknowledgement indicating
                   'Mobile Router Operation not permitted' (Code 140).

                   Discontinuities in the value of this counter can
                   occur at re-initialization of the mobile router.
                  "
              ::= { nemoBindingRegCounters 6 }

     nemoInvalidPrefix  OBJECT-TYPE
          SYNTAX      Counter32
          MAX-ACCESS  read-only
          STATUS      current
          DESCRIPTION
                  "The total number of Binding Update requests rejected
                   by the home agent with status code in the Binding
                   Acknowledgement indicating 'Invalid Prefix' (Code 141).

                   Discontinuities in the value of this counter can
                   occur at re-initialization of the mobile router.
                  "
              ::= { nemoBindingRegCounters 7 }

     nemoNotAuthorizedForPrefix OBJECT-TYPE
          SYNTAX      Counter32
          MAX-ACCESS  read-only
          STATUS      current
          DESCRIPTION
                  "The total number of Binding Update requests rejected
                   by the home agent with status code in the Binding
                   Acknowledgement indicating 'Not Authorized for Prefix'
                   (Code 142).

                   Discontinuities in the value of this counter can
                   occur at re-initialization of the mobile router.
                  "
              ::= { nemoBindingRegCounters 8 }

     nemoForwardingSetupFailed OBJECT-TYPE
          SYNTAX      Counter32

Expires: April 15, 2005                                        [Page 22]


Internet Draft                                          October 16, 2004

          MAX-ACCESS  read-only
          STATUS      current
          DESCRIPTION
                  "The total number of Binding Update requests rejected
                   by the home agent with status code in the Binding
                   Acknowledgement indicating 'Forwarding Setup failed'
                   (Code 143).

                   Discontinuities in the value of this counter can
                   occur at re-initialization of the mobile router.
                  "
              ::= { nemoBindingRegCounters 9 }

      --
      -- nemoStats:nemoRoamingCounters
      --

      nemoMovedHome OBJECT-TYPE
          SYNTAX      Counter32
          MAX-ACCESS  read-only
          STATUS      current
          DESCRIPTION
                  "Number of times the mobile router has detected
                   movement from a foreign network to its home
                   network.
                   Discontinuities in the value of this counter can
                   occur at re-initialization of the mobile router.
                  "
              ::= { nemoRoamingCounters 1 }

      nemoMovedOutofHome OBJECT-TYPE
          SYNTAX      Counter32
          MAX-ACCESS  read-only
          STATUS      current
          DESCRIPTION
                  "Number of times the mobile router has detected
                   movement from to a foreign network from the home
                   network, has reconstructed its care-of address and
                   has initiated the care-of address registration
                   process.
                   Discontinuities in the value of this counter can
                   occur at re-initialization of the mobile router.
                  "

              ::= { nemoRoamingCounters 2 }

      nemoMovedFNtoFN OBJECT-TYPE

Expires: April 15, 2005                                        [Page 23]


Internet Draft                                          October 16, 2004

          SYNTAX      Counter32
          MAX-ACCESS  read-only
          STATUS      current
          DESCRIPTION
                  "Number of times the mobile router has detected
                   movement from to a foreign network from the home
                   network, has reconstructed its care-of address and
                   has initiated the care-of address registration
                   process.
                   Discontinuities in the value of this counter can
                   occur at re-initialization of the mobile router.
                  "
              ::= { nemoRoamingCounters 3 }

      nemoBetterIfDetected OBJECT-TYPE
          SYNTAX      Counter32
          MAX-ACCESS  read-only
          STATUS      current
          DESCRIPTION
                  "Number of times the NEMO entity has found roaming
                   interface with better priority.
                   Discontinuities in the value of this counter can
                   occur at re-initialization of the mobile router.
                  "
              ::= { nemoRoamingCounters 4 }

      --
      --
      -- nemoNotifications
      --
      --

      nemoHomeTunnelEstablished NOTIFICATION-TYPE
          OBJECTS   {
                      nemoActiveRoamingIfIndex,
                      nemoEstablishedHomeTunnelIfIndex,
                      nemoRegCareofAddressType,
                      nemoRegCareofAddress
                    }
          STATUS    current
          DESCRIPTION
                  "This notification is sent by the HA every
                   time the NEMO entity establishes a MR-HA
                   tunnel.
                  "
              ::= { nemoNotifications 1 }

      nemoHomeTunnelReleased NOTIFICATION-TYPE

Expires: April 15, 2005                                        [Page 24]


Internet Draft                                          October 16, 2004

          OBJECTS {
                    nemoActiveRoamingIfIndex,
                    nemoEstablishedHomeTunnelIfIndex,
                    nemoRegCareofAddressType,
                    nemoRegCareofAddress
                  }
          STATUS    current
          DESCRIPTION
                  "This notification is sent by the HA every
                   time the NEMO entity releases a MR-HA tunnel.
                  "
              ::= { nemoNotifications 2}

Expires: April 15, 2005                                        [Page 25]


Internet Draft                                          October 16, 2004

       -- Conformance information
      nemoGroups      OBJECT IDENTIFIER ::= { nemoConformance 1 }
      nemoCompliances OBJECT IDENTIFIER ::= { nemoConformance 2 }

       -- Units of conformance
      nemoSystemGroup    OBJECT-GROUP
           OBJECTS {
                     nemoRoamingStatus,
                     nemoRegisteredUpTime,
                     nemoLastAcceptedRegTime,
                     nemoLastRejectedRegTime,
                     nemoRegHomeAgentAddressType,
                     nemoRegHomeAgentAddress,
                     nemoRegHomeNetworkAddressType,
                     nemoRegHomeNetworkAddress,
                     nemoRegHomeNetworkPrefixLength,
                     nemoRegCareofAddressType,
                     nemoRegCareofAddress,
                     nemoActiveRoamingIfIndex,
                     nemoEstablishedHomeTunnelIfIndex
          }
           STATUS  current
           DESCRIPTION
                   " A collection of objects for basic NEMO
                     monitoring."
           ::= { nemoGroups 1 }

      nemoConfigurationGroup    OBJECT-GROUP
           OBJECTS {
                     nemoHomeRegLifeTime,
                     nemoHomeRegRetryCount,
                     nemoHomeRegRetryDelay,
                     nemoHomeRegExtendBeforeExpiry,
                     nemoDynamicHAAddressDiscovery,
                     nemoHomeNetworkPrefixType,
                     nemoHomeNetworkPrefix,
                     nemoHomeNetworkPrefixLength,
                     nemoHomeAddressType,
                     nemoHomeAddress,
                     nemoPrefixRegMode,
                     nemoRegisterConnectedPrefixes,
                  -- nemoPrefixType,
                  -- nemoPrefix,
                  -- nemoPrefixLength,
                     nemoPrefixLifeTime,
                  -- nemoRoamingIfIndex,
                  -- nemoRoamingIfPriority,
                     nemoRoamingIfDescription,

Expires: April 15, 2005                                        [Page 26]


Internet Draft                                          October 16, 2004

                     nemoRoamingIfRoamHoldDownTime,
                     nemoDHAADRequests,
                     nemoDHAADRepliesWNemoSupport,
                     nemoDHAADRepliesWONemoSupport,
                     nemoDHAADDiscoveryTimeouts
          }
           STATUS  current
           DESCRIPTION
                   " A collection of objects for basic NEMO
                     configuration monitoring."
           ::= { nemoGroups 2 }

      nemoStatsGroup    OBJECT-GROUP
           OBJECTS {
                     nemoInOctets,
                     nemoHCInOctets,
                     nemoInPackets,
                     nemoHCInPackets,
                     nemoOutOctets,
                     nemoHCOutOctets,
                     nemoOutPackets,
                     nemoHCOutPackets,
                     nemoBindingUpdates,
                     nemoBindingAcks,
                     nemoBindingAcksWONemoSupport,
                     nemoBindingAckNotHomeRegn,
                     nemoBindingRegTypeChanged,
                     nemoOpNotSupported,
                     nemoInvalidPrefix,
                     nemoNotAuthorizedForPrefix,
                     nemoForwardingSetupFailed,
                     nemoMovedHome,
                     nemoMovedOutofHome,
                     nemoMovedFNtoFN,
                     nemoBetterIfDetected
          }
           STATUS  current
           DESCRIPTION
                   " A collection of objects for basic NEMO
                     monitoring.
                   "
           ::= { nemoGroups 3 }

       nemoNotificationGroup   NOTIFICATION-GROUP
           NOTIFICATIONS {
                    nemoHomeTunnelEstablished,
                    nemoHomeTunnelReleased
          }

Expires: April 15, 2005                                        [Page 27]


Internet Draft                                          October 16, 2004

           STATUS  current
           DESCRIPTION
                   "A collection of notifications from a home agent
                    or correspondent node to the Manager about the
                    tunnel status of the mobile router.
                   "
           ::= { nemoGroups 4 }

       -- Compliance statements
      nemoCoreCompliance MODULE-COMPLIANCE
           STATUS  current
           DESCRIPTION
                  "The compliance statement for SNMP entities
                   which implement the MOBILEIPV6-MIB.
                   There are a number of INDEX objects that cannot be
                   represented in the form of OBJECT clauses in SMIv2,
                   but for which there are compliance requirements,
                   expressed in OBJECT clause form in this description:
                   -- OBJECT      nemoBindingHomeAddressType
                   -- SYNTAX      InetAddressType { ipv6(2) }
                   -- DESCRIPTION
                   --     This MIB module requires support for global
                   --     ipv6 addresses for the nemoBindingHomeAddress
                   --     object.
                   --
                   "
           MODULE  -- this module
               MANDATORY-GROUPS { nemoSystemGroup,
                                  nemoConfigurationGroup,
                                  nemoStatsGroup,
                                  nemoNotificationGroup
                                }

           ::= { nemoCompliances 1 }

      END

Expires: April 15, 2005                                        [Page 28]


Internet Draft                                          October 16, 2004

5. Security Considerations

   There are a number of management objects defined in this MIB module
   with a MAX-ACCESS clause of read-write.  Such objects may be
   considered sensitive or vulnerable in some network environments. The
   support for SET operations in a non-secure environment without proper
   protection can have a negative effect on network operations. These
   are the tables and objects and their sensitivity/vulnerability:

   Some of the readable objects in this MIB module (i.e., objects with a
   MAX-ACCESS other than not-accessible) may be considered sensitive or
   vulnerable in some network environments.  It is thus important to
   control even GET and/or NOTIFY access to these objects and possibly
   to even encrypt the values of these objects when sending them over
   the network via SNMP.  These are the tables and objects and their
   sensitivity/vulnerability:

   SNMP versions prior to SNMPv3 did not include adequate security.
   Even if the network itself is secure (for example by using IPSec),
   even then, there is no control as to who on the secure network is
   allowed to access and GET/SET (read/change/create/delete) the objects
   in this MIB module.

   It is RECOMMENDED that implementers consider the security features as
   provided by the SNMPv3 framework (see [RFC3410], section 8),
   including full support for the SNMPv3 cryptographic mechanisms (for
   authentication and privacy).

   Further, deployment of SNMP versions prior to SNMPv3 is NOT
   RECOMMENDED.  Instead, it is RECOMMENDED to deploy SNMPv3 and to
   enable cryptographic security.  It is then a customer/operator
   responsibility to ensure that the SNMP entity giving access to an
   instance of this MIB module is properly configured to give access to
   the objects only to those principals (users) that have legitimate
   rights to indeed GET or SET (change/create/delete) them.

6. IANA Considerations

   IANA should assign a base arc in the mip6Mn group of the 'mipv6MIB'
   (standards track) OID tree for the 'nemoMIB' MODULE-IDENTITY defined
   in the NEMO MIB.

7. Acknowledgments

   The authors would like to thank T.J Kniveton and Thierry Ernst for

Expires: April 15, 2005                                        [Page 29]


Internet Draft                                          October 16, 2004

   their inputs to the document and also would like to thank Kent Leung
   and Pascal Thubert for their insight into Mobile Router v4 and v6
   implementations.

Expires: April 15, 2005                                        [Page 30]


Internet Draft                                          October 16, 2004

8. References

8.1 Normative References

   [RFC2119]    Bradner, S., Key words for use in RFCs to Indicate
                Requirements Levels, BCP 14, RFC 2119, March 1997.

   [RFC2578]    McCloghrie, K., Perkins, D., Schoenwaelder, J., Case, J.,
                Rose, M. and S. Waldbusser, Structure of Management
                Information Version 2 (SMIv2), STD 58, RFC 2578,
                April 1999.

   [RFC2579]    McCloghrie, K., Perkins, D., Schoenwaelder, J., Case, J.,
                Rose, M. and S. Waldbusser, Textual Conventions for
                SMIv2, STD 58, RFC 2579, April 1999.

   [RFC2580]    McCloghrie, K., Perkins, D., Schoenwaelder, J., Case, J.,
                Rose, M. and S. Waldbusser, Conformance Statements
                for SMIv2, STD 58, RFC 2580, April 1999.

   [RFC3775]    Johnson, D., Perkins, C. and Arkko J., Mobility
                Support in IPv6q RFC 3775,  June 2004.

   [RFC2011bis] Routhier, S., Management Information Base for the
                Internet Protocol (IP), work in progress (currently
                <draft-ietf-ipv6-rfc2011-update-10.txt>).

   [RFC3291bis] Daniele, M., Haberman, B., Routhier, S. and Schoenwaelder,
                J., Textual Conventions for Internet Network
                Addresses, work in progress (currently
                <draft-ietf-ops-rfc3291bis-06.txt>).

   [NEMOBASIC]  Thubert, P., Petrescu, A., Wakikawa, R. and V. Devarapalli,
                 Network Mobility (NEMO) Basic Support Protocol,
                work in progress (currently
                <draft-ietf-nemo-basic-support-03.txt>.

   [MIPv6MIB]   Keeni, G., Koide, K., Nagami, K. and S. Gundavelli,
                The Mobile IPv6 MIB,  work in progress (currently
                <draft-ietf-mip6-mipv6-mib-05.txt>).

8.2 Informative References

   [RFC3410]    Case, J., Mundy, R., Partain, D. and B. Stewart,
                Introduction and Applicability Statements for
                Internet-Standard Management Framework, RFC 3410,
                December 2002.

Expires: April 15, 2005                                        [Page 31]


Internet Draft                                          October 16, 2004

   [NEMOTERM]   T. Ernst and H.-Y. Lach., Network Mobility Support
                Terminology,  work in progress (currently
                <draft-ietf-nemo-terminology-01.txt>).

   [NEMOGOAL]   T. Ernst. Network Mobility Support Goals and
                Requirements,  work in progress (currently
                <draft-ietf-nemo-requirements-02.txt>).

Expires: April 15, 2005                                        [Page 32]


Internet Draft                                          October 16, 2004

9. Authors' Addresses

   Sri Gundavelli
   Cisco Systems
   170 W.Tasman Drive,
   San Jose, CA 95134
   USA

   Phone: +1-408-527-6109
   Email: [email-masked]

   Glenn Mansfield Keeni
   Cyber Solutions Inc.
   6-6-3 Minami Yoshinari
   Aoba-ku, Sendai 989-3204
   Japan

   Phone: +81-22-303-4012
   EMail: [email-masked]

   Kenichi Nagami
   INTEC NetCore Inc.
   1-3-3, Shin-suna
   Koto-ku, Tokyo, 135-0075
   Japan

   Phone:  +81-3-5665-5069
   E-mail: [email-masked]

   Kazuhide Koide
   Tohoku University
   Katahira Campus
   Sendai
   Japan

   Phone: +81-22-217-5454
   E-mail: [email-masked]

Expires: April 15, 2005                                        [Page 33]


Internet Draft                                          October 16, 2004

10.  Full Copyright Statement

   Copyright (C) The Internet Society (2004).  This document is subject
   to the rights, licenses and restrictions contained in BCP 78, and
   except as set forth therein, the authors retain all their rights.

   This document and the information contained herein are provided on an
   "AS IS" basis and THE CONTRIBUTOR, THE ORGANIZATION HE/SHE
   REPRESENTS OR IS SPONSORED BY (IF ANY), THE INTERNET SOCIETY AND THE
   INTERNET ENGINEERING TASK FORCE DISCLAIM ALL WARRANTIES, EXPRESS OR
   IMPLIED, INCLUDING BUT NOT LIMITED TO ANY WARRANTY THAT THE USE OF
   THE INFORMATION HEREIN WILL NOT INFRINGE ANY RIGHTS OR ANY IMPLIED
   WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.

Expires: April 15, 2005                                        [Page 34]


Internet Draft                                          October 16, 2004

Intellectual Property

   The IETF takes no position regarding the validity or scope of any
   Intellectual Property Rights or other rights that might be claimed
   to pertain to the implementation or use of the technology
   described in this document or the extent to which any license
   under such rights might or might not be available; nor does it
   represent that it has made any independent effort to identify any
   such rights.  Information on the procedures with respect to
   rights in RFC documents can be found in BCP 78 and BCP 79.

   Copies of IPR disclosures made to the IETF Secretariat and any
   assurances of licenses to be made available, or the result of an
   attempt made to obtain a general license or permission for the use
   of such proprietary rights by implementers or users of this
   specification can be obtained from the IETF on-line IPR repository
   at http://www.ietf.org/ipr.

   The IETF invites any interested party to bring to its attention
   any copyrights, patents or patent applications, or other
   proprietary rights that may cover technology that may be required
   to implement this standard.  Please address the information to the
   IETF at [email-masked].

Acknowledgement

   Funding for the RFC Editor function is currently provided by the
   Internet Society.

Expires: April 15, 2005                                        [Page 35]


Internet Draft                                          October 16, 2004

Expires: April 15, 2005                                        [Page 36]